Get fulfillment - Fabric

Get fulfillment

cURL

curl --request GET \
  --url https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId} \
  --header 'Authorization: Bearer <token>' \ 
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'

Python

import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Status Codes

Example Fulfillment Response

{
  "id": "d6229cdb-0c5b-4885-b1b2-13b94d02488e",
  "type": "SHIP_TO",
  "refId": "398427903843",
  "attributes": {
    "source": "store"
  },
  "originAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "destinationAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "locationId": "CA",
  "pickupPerson": {
    "primary": {
      "name": {
        "first": "John",
        "middle": "S",
        "last": "Doe"
      },
      "email": "john@test.com",
      "phone": {
        "number": "123-456-7890",
        "type": "MOBILE"
      }
    },
    "secondary": [
      {
        "name": {
          "first": "John",
          "middle": "S",
          "last": "Doe"
        },
        "email": "john@test.com",
        "phone": {
          "number": "123-456-7890",
          "type": "MOBILE"
        }
      }
    ]
  },
  "price": {
    "amount": 12.99
  },
  "promotions": {
    "total": 15,
    "collection": [
      {
        "id": "bb44db95-6fbd-4eed-a1ed-4d99bc91250f",
        "amount": 15
      }
    ]
  },
  "fees": {
    "total": 5,
    "collection": [
      {
        "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
        "name": "Eco Fee",
        "price": {
          "amount": 12.99
        },
        "taxable": true,
        "attributes": {
          "source": "eco"
        },
        "tax": {
          "total": 3,
          "collection": [
            {
              "amount": 3,
              "attributes": {
                "rate": "5.0",
                "type": "COUNTY"
              }
            }
          ]
        },
        "updatedAt": "2024-06-13T16:50:00.682Z",
        "createdAt": "2024-06-13T16:50:00.682Z",
        "taxDetails": {
          "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",
          "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"
        }
      }
    ]
  },
  "adjustments": {
    "total": 2,
    "collection": [
      {
        "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
        "price": {
          "amount": 12.99
        },
        "reason": "Price adjustment from customer representative.",
        "attributes": {
          "source": "CSR"
        },
        "updatedAt": "2024-06-13T16:50:00.682Z",
        "createdAt": "2024-06-13T16:50:00.682Z"
      }
    ]
  },
  "tax": {
    "total": 3,
    "collection": [
      {
        "amount": 3,
        "attributes": {
          "rate": "5.0",
          "type": "COUNTY"
        }
      }
    ]
  }
}